Bug 476875 - xorg-x11-drv-ati fail to get the opengl rendering on r300 chipset
xorg-x11-drv-ati fail to get the opengl rendering on r300 chipset
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Reopened, Triaged
: 484326 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 12:01 EST by Souiri Mohamed Zakaria
Modified: 2009-12-18 02:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:19:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (404 bytes, text/plain)
2008-12-28 15:44 EST, Dominik Sandjaja
no flags Details
Xorg.log (60.44 KB, text/plain)
2008-12-28 15:45 EST, Dominik Sandjaja
no flags Details
dmesg with nomodeset (30.25 KB, text/plain)
2009-02-08 17:57 EST, François Cami
no flags Details
Xorg.0.log ; no xorg.conf ; nomodeset (151.86 KB, text/plain)
2009-02-08 17:58 EST, François Cami
no flags Details

  None (edit)
Description Souiri Mohamed Zakaria 2008-12-17 12:01:29 EST
Description of problem:
xorg-x11-drv-ati fail to get the opengl rendering on r300 chipset

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.9.0-61.fc10.i386
How reproducible:
always
Steps to Reproduce:
1.start a kde/gnome session 
2.launch a terminal
2.5 install qtdemo-qt4 if not alreay installed
3. try to run
  
Actual results:
qtdemo-qt4: radeon_lock.c:100: radeonGetLock: Assertion `drawable != ((void *)0)' failed.
Aborted
Expected results:
the application  should start 
Additional info:
for the xorg information related  to xorg configuration see the files atteched to the  Bug 474497
Comment 1 Matěj Cepl 2008-12-20 20:04:23 EST
What happens when you run glxgears?
Comment 2 Matěj Cepl 2008-12-20 20:05:21 EST
Xorg.0.log is the attachment 325763 [details]
xorg.conf the attachment 325764 [details]
Comment 3 Dominik Sandjaja 2008-12-28 15:44:55 EST
Created attachment 327901 [details]
xorg.conf
Comment 4 Dominik Sandjaja 2008-12-28 15:45:28 EST
Created attachment 327902 [details]
Xorg.log
Comment 5 Dominik Sandjaja 2008-12-28 15:47:41 EST
Same happens with f-spot:

f-spot: radeon_lock.c:100: radeonGetLock: Zusicherung »drawable != ((void *)0)« nicht erfüllt.
Stacktrace:

  at (wrapper managed-to-native) GdkGlx.Context.glXDestroyContext (intptr,System.Runtime.InteropServices.HandleRef) <0x00004>
  at (wrapper managed-to-native) GdkGlx.Context.glXDestroyContext (intptr,System.Runtime.InteropServices.HandleRef) <0xffffffff>
  at GdkGlx.Context.Destroy () <0x00080>
  at FSpot.PhotoImageView.HandleUnrealized (object,System.EventArgs) <0x00019>
  at (wrapper runtime-invoke) MainWindow.runtime_invoke_void__this___object_EventArgs (object,intptr,intptr,intptr) <0xffffffff>
  at (wrapper managed-to-native) System.Reflection.MonoMethod.InternalInvoke (object,object[],System.Exception&) <0x00004>
  at (wrapper managed-to-native) System.Reflection.MonoMethod.InternalInvoke (object,object[],System.Exception&) <0xffffffff>
  at System.Reflection.MonoMethod.Invoke (object,System.Reflection.BindingFlags,System.Reflection.Binder,object[],System.Globalization.CultureInfo) <0x000a3>
  at System.Reflection.MethodBase.Invoke (object,object[]) <0x0001a>
  at System.Delegate.DynamicInvokeImpl (object[]) <0x00170>
  at System.MulticastDelegate.DynamicInvokeImpl (object[]) <0x0002a>
  at System.Delegate.DynamicInvoke (object[]) <0x0000e>
  at GLib.Signal.ClosureInvokedCB (object,GLib.ClosureInvokedArgs) <0x00159>
  at GLib.SignalClosure.Invoke (GLib.ClosureInvokedArgs) <0x0001b>
  at GLib.SignalClosure.MarshalCallback (intptr,intptr,uint,intptr,intptr,intptr) <0x00199>
  at (wrapper native-to-managed) GLib.SignalClosure.MarshalCallback (intptr,intptr,uint,intptr,intptr,intptr) <0xffffffff>
  at (wrapper managed-to-native) Gtk.Object.gtk_object_destroy (intptr) <0x00004>
  at (wrapper managed-to-native) Gtk.Object.gtk_object_destroy (intptr) <0xffffffff>
  at Gtk.Object.Destroy () <0x00044>
  at Gtk.Widget.Destroy () <0x0000a>
  at MainWindow.Close () <0x0049c>
  at MainWindow.HandleDeleteEvent (object,Gtk.DeleteEventArgs) <0x0000f>
  at (wrapper runtime-invoke) MainWindow.runtime_invoke_void__this___object_DeleteEventArgs (object,intptr,intptr,intptr) <0xffffffff>
  at (wrapper managed-to-native) System.Reflection.MonoMethod.InternalInvoke (object,object[],System.Exception&) <0x00004>
  at (wrapper managed-to-native) System.Reflection.MonoMethod.InternalInvoke (object,object[],System.Exception&) <0xffffffff>
  at System.Reflection.MonoMethod.Invoke (object,System.Reflection.BindingFlags,System.Reflection.Binder,object[],System.Globalization.CultureInfo) <0x000a3>
  at System.Reflection.MethodBase.Invoke (object,object[]) <0x0001a>
  at System.Delegate.DynamicInvokeImpl (object[]) <0x00170>
  at System.MulticastDelegate.DynamicInvokeImpl (object[]) <0x0002a>
  at System.Delegate.DynamicInvoke (object[]) <0x0000e>
  at GLib.Signal.ClosureInvokedCB (object,GLib.ClosureInvokedArgs) <0x00159>
  at GLib.SignalClosure.Invoke (GLib.ClosureInvokedArgs) <0x0001b>
  at GLib.SignalClosure.MarshalCallback (intptr,intptr,uint,intptr,intptr,intptr) <0x00471>
  at (wrapper native-to-managed) GLib.SignalClosure.MarshalCallback (intptr,intptr,uint,intptr,intptr,intptr) <0xffffffff>
  at (wrapper managed-to-native) Gtk.Application.gtk_main () <0x00004>
  at (wrapper managed-to-native) Gtk.Application.gtk_main () <0xffffffff>
  at Gtk.Application.Run () <0x00007>
  at Gnome.Program.Run () <0x00007>
  at FSpot.Driver.Main (string[]) <0x01768>
  at (wrapper runtime-invoke) FSpot.Driver.runtime_invoke_int_string[] (object,intptr,intptr,intptr) <0xffffffff>

Versions of the software:
f-spot-0.5.0.3-1.fc10.i386 (same problem with the 0.4.x which came with F10 originally)
xorg-x11-drv-ati-6.9.0-63.fc10.i386

uname -a:
Linux illuminati.dadadom.lan 2.6.27.9-159.fc10.i686 #1 SMP Tue Dec 16 15:12:04 EST 2008 i686 i686 i386 GNU/Linux

Smolt-Profile:
http://www.smolts.org/client/show/?uuid=pub_62b790b9-e780-4903-b210-06d06adee62a
Comment 6 François Cami 2009-02-07 08:20:08 EST
Souri,
Is this fixed in current F10 ?
If not, could you try the xorg-x11-drv-ati build at http://koji.fedoraproject.org/koji/buildinfo?buildID=80819 and report ?
Thank you
Comment 7 François Cami 2009-02-07 09:40:32 EST
No matter, duplicate of 475952.

*** This bug has been marked as a duplicate of bug 475952 ***
Comment 8 François Cami 2009-02-08 06:24:53 EST
475952 being against rawhide, reopening this one as ASSIGNED.
This is easily reproductible with other programs like avogadro as per 484326 .
Comment 9 François Cami 2009-02-08 06:26:09 EST
*** Bug 484326 has been marked as a duplicate of this bug. ***
Comment 10 François Cami 2009-02-08 12:44:42 EST
For those waiting for a fix, the software renderer can be used as a workaround.
Example :
LIBGL_ALWAYS_SOFTWARE=1 qtdemo-qt4
or
LIBGL_ALWAYS_SOFTWARE=1 avogadro
Comment 11 Dave Airlie 2009-02-08 17:12:06 EST
does it work with nomodeset just to get a baseline.

I'll probably also need kernel versions and dmesg.
Comment 12 François Cami 2009-02-08 17:57:56 EST
Created attachment 331256 [details]
dmesg with nomodeset
Comment 13 François Cami 2009-02-08 17:58:43 EST
Created attachment 331257 [details]
Xorg.0.log ; no xorg.conf ; nomodeset
Comment 14 François Cami 2009-02-08 18:00:30 EST
I can reproduce with the following versions :
mesa-libGL-7.2-0.15.fc10.x86_64
qt-doc-4.4.3-10.fc10.x86_64
xorg-x11-drv-ati-6.10.0-2.fc10.x86_64
kernel-2.6.27.12-170.2.5.fc10.x86_64

Logs below :
##################################
$ qtdemo-qt4 
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
qtdemo-qt4: radeon_lock.c:100: radeonGetLock: Assertion `drawable != ((void *)0)' failed.
Aborted
##################################
$ avogadro 
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
System has OpenGL support.
Locale:  "en_US" 
Loaded translations (if needed) about to test OpenGL capabilities.
OpenGL capabilities found: 
	Double Buffering.
	Direct Rendering.
	Antialiasing.

Found Tool:  "Align"  -  "Align molecules" 
Found Tool:  "AutoOptimization"  -  "Automatic Optimization Tool" 
Found Tool:  "AutoRotate"  -  "Auto Rotation Tool" 
Found Tool:  "Bond Centric Manipulate"  -  "Bond Centric Manipulation Tool" 
Found Tool:  "Measure"  -  "Click to Measure Tool" 
Found Tool:  "Draw"  -  "Draws Things" 
Found Tool:  "Manipulate"  -  "Manipulation Tool" 
Found Tool:  "Navigate"  -  "Navigation Tool" 
Found Tool:  "Select/Rotate"  -  "Selection and Rotation Tool" 
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
avogadro: radeon_lock.c:100: radeonGetLock: Assertion `drawable != ((void *)0)' failed.
Aborted
##################################
Comment 15 François Cami 2009-02-08 18:02:56 EST
I forgot to say, this is all with nomodeset.
Comment 16 François Cami 2009-02-18 19:28:14 EST
Fixed in rawhide as of :

kernel-2.6.29-0.124.rc5.fc11.x86_64
mesa-libGL-7.3-2.fc11.x86_64
xorg-x11-drv-ati-6.10.0-3.fc11.x86_64
xorg-x11-server-Xorg-1.5.99.903-2.fc11.x86_64
qt-doc-4.5.0-0.3.rc1.fc11.x86_64
Comment 17 Kevin R. Page 2009-04-11 19:22:56 EDT
Will there be backports/releases for F10?

Do you know which of the above packages provides the fix, or just that it's not reproducible with the above packageset?

There are F10 packages in koji which would seem to be at the required version except for mesa (mesa-7.2-0.15.fc10) and xorg-x11-server (xorg-x11-server-1.5.3-16.fc10).

(There's a kernel-2.6.29.1-15.fc10, and xorg-x11-drv-ati-6.10.0-2.fc10 - which from the changelog looks close enough)

(Unfortunately the hardware exhibiting the problem is remote, and not a good candidate for test packages. I'll see if I've got any R300 hardware at home or work to test a newer kernel with.)
Comment 18 Kevin R. Page 2009-04-11 20:56:35 EDT
Ok, so on an i686 box with a Radeon 9550 installed I can reproduce with:

kernel-2.6.29.1-15.fc10.i686
mesa-libGL-7.2-0.15.fc10.i386
xorg-x11-drv-ati-6.10.0-2.fc10.i386
xorg-x11-server-Xorg-1.5.3-15.fc10.i386
qt-doc-4.4.3-15.fc10.i386

These are the latest packages available for F10. The changelog doesn't indicate any worth in installing xorg-x11-server-Xorg-1.5.3-16.fc10 given the koji/dependency pain, but let me know if that's a false assumption.

The big version differences from comment #16 / F11 are in xorg-x11-server-Xorg and mesa-libGL. Any chance of some F10 packages of these?
Comment 19 Bug Zapper 2009-11-18 05:30:06 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2009-12-18 02:19:20 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.